> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Persons



## OpenAPI

````yaml /openapi.json patch /v1/workspaces/{workspaceId}/contacts/persons/{personId}
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/contacts/persons/{personId}:
    patch:
      tags:
        - Persons
      summary: Update Persons
      operationId: PersonsController_update_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
        - name: personId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdatePersonDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PersonResponseDto'
components:
  schemas:
    UpdatePersonDto:
      type: object
      properties:
        email:
          type: string
        firstName:
          type: string
          maxLength: 255
        lastName:
          type: string
          maxLength: 255
        phone:
          type: string
          maxLength: 64
        position:
          type: string
          maxLength: 255
        note:
          type: string
          maxLength: 2000
        companyId:
          type: string
          pattern: ^\d+$
        companyName:
          type: string
          minLength: 1
          maxLength: 255
        officeName:
          type: string
          maxLength: 255
      additionalProperties: false
    PersonResponseDto:
      type: object
      properties:
        id:
          type: string
        email:
          type: string
        userId:
          type: string
        firstName:
          type: string
          nullable: true
        lastName:
          type: string
          nullable: true
        phone:
          type: string
          nullable: true
        position:
          type: string
          nullable: true
        note:
          type: string
          nullable: true
        offices:
          type: array
          items:
            $ref: '#/components/schemas/PersonOfficeResponseDto'
        createdAt:
          type: string
        updatedAt:
          type: string
      required:
        - id
        - email
        - userId
        - firstName
        - lastName
        - phone
        - position
        - note
        - offices
        - createdAt
        - updatedAt
    PersonOfficeResponseDto:
      type: object
      properties:
        officeId:
          type: string
        officeName:
          type: string
        companyId:
          type: string
        companyName:
          type: string
        companyDomain:
          type: string
          nullable: true
        companyTags:
          type: array
          items:
            type: string
      required:
        - officeId
        - officeName
        - companyId
        - companyName
        - companyDomain
        - companyTags

````